POST
/
api
/
v1
/
admin
/
simulation
/
scenario-blueprints
/
compile
Compile Scenario Blueprint
curl --request POST \
  --url https://api.jobsim.work/api/v1/admin/simulation/scenario-blueprints/compile \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organization_id": "<string>",
  "scenario_name": "<string>",
  "channel_preset_key": "<string>",
  "task_preset_key": "<string>",
  "blueprint_intent": {},
  "include_template_payload": true,
  "metadata": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request payload to compile and persist an org scenario blueprint snapshot.

organization_id
string | null
scenario_name
string | null
channel_preset_key
string | null
task_preset_key
string | null
blueprint_intent
Blueprint Intent · object
include_template_payload
boolean
default:true
metadata
Metadata · object

Response

Successful Response